#/function terra_eviljenext:cutscene/honey_boo_boo/2_events
#Created by Mithey

#Move all cameras
#6255 59 6001 120 20 ---> 6255 59 6001 120 20
execute if score Scene Clock matches 101..200 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.025

#Kill Honey Boo Boo intro title
execute if score Scene Clock matches 100 run kill @e[tag=eviljenext_HoneyBooBooIntroTitle]

#Move camera position and focus on Pat
execute if score Scene Clock matches 101..200 run execute as @e[tag=SceneCamera] at @s run tp @s 6259 58 6005 facing entity @e[tag=eviljenext_Pat,limit=1,sort=nearest]

#Pat moves toward Honey Boo Boo
#6266 58 5998 -> 6256 58 5999
execute if score Scene Clock matches 101..144 run execute as @e[tag=eviljenext_Pat] at @s run tp @s ~-0.25 ~ ~0.025 facing entity @e[tag=eviljenext_HoneyBooBoo,limit=1,sort=nearest]

#Pat takes out swords and attacks Honey Boo Boo
execute if score Scene Clock matches 124 run execute as @e[tag=eviljenext_Pat] at @s run summon armor_stand ~ ~ ~ {Rotation:[64.7f,0f],Invisible:1,Invulnerable:1,NoGravity:1,Marker:1,HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1538}},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1538}}],Tags:["Function","Animation","eviljenext_PatSwords","SceneActor"]}
execute if score Scene Clock matches 124..144 run execute as @e[tag=eviljenext_Pat] at @s run tp @e[tag=eviljenext_PatSwords] @s
execute if score Scene Clock matches 201 run execute as @e[tag=eviljenext_PatSwords] at @s run tag @s remove Function

#Honey Boo Boo looks at Pat
execute if score Scene Clock matches 201 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenext_Pat,limit=1,sort=nearest]

#Pat ! mark
execute if score Scene Clock matches 211 run execute as @e[tag=eviljenext_Pat] at @s run playsound minecraft:block.note_block.harp hostile @a ~ ~ ~ 1 2
execute if score Scene Clock matches 211 run execute as @e[tag=eviljenext_Pat] at @s run summon area_effect_cloud ~ ~2.25 ~ {Duration:20,Passengers:[{id:item,Invulnerable:1,NoGravity:1,Age:5980,PickupDelay:32767,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1539}}}]}

#Honey Boo Boo: "HONEY BOO BOO!!!"
execute if score Scene Clock matches 221 run function terra_eviljenext:lang/cutscene_honey_boo_boo5
execute if score Scene Clock matches 221 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 221 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run playsound minecraft:entity.iron_golem.hurt player @a ~ ~ ~ 10 0.5

#Honey Boo Boo grabs Pat
	#Move forward and back really quick, while retaining Pat ^-0.5 ^0.5 ^1
execute if score Scene Clock matches 251 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @s ~1.25 ~ ~-0.5
execute if score Scene Clock matches 261 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @s ~-1.25 ~ ~0.5
execute if score Scene Clock matches 261 run execute as @e[tag=eviljenext_Pat] at @s run playsound minecraft:entity.villager.hurt player @a ~ ~ ~ 10 0.75
execute if score Scene Clock matches 401 run execute as @e[tag=eviljenext_Pat] at @s run particle minecraft:angry_villager ~ ~1 ~ 1 1 1 0 50 force
execute if score Scene Clock matches 261 run execute as @e[tag=eviljenext_Pat] at @s run tp @s ~ ~ ~ ~ 60
execute if score Scene Clock matches 261..701 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @e[tag=eviljenext_Pat] ^1 ^0.5 ^0.5

#Swords go flying off camera and get deleted
execute if score Scene Clock matches 261 run execute as @e[tag=eviljenext_PatSwords] at @s run data merge entity @s {NoGravity:0,Marker:0,Invisible:0,Motion:[1d,5d,0d]}
execute if score Scene Clock matches 281 run execute as @e[tag=eviljenext_PatSwords] at @s run kill @s

#Carter runs
#6268 58 6000 -> 6254 58 5990
execute if score Scene Clock matches 301..400 run execute as @e[tag=eviljenext_Carter] at @s run tp @s ~-0.14 ~ ~-0.1 ~40 ~

#Move Honey Boo Boo toward Carter
execute if score Scene Clock matches 351..400 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @s ^ ^ ^0.185 facing entity @e[tag=eviljenext_Carter,limit=1,sort=nearest]

#Carter: "Ahhh!!!"
execute if score Scene Clock matches 321 run function terra_eviljenext:lang/cutscene_honey_boo_boo6
execute if score Scene Clock matches 321 run execute as @e[tag=eviljenext_Carter] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 321 run execute as @e[tag=eviljenext_Carter] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10

#Honey Boo Boo grabs Carter
execute if score Scene Clock matches 401 run execute as @e[tag=eviljenext_Carter] at @s run playsound minecraft:entity.villager.hurt player @a ~ ~ ~ 10 0.75
execute if score Scene Clock matches 401 run execute as @e[tag=eviljenext_Carter] at @s run particle minecraft:angry_villager ~ ~1 ~ 1 1 1 0 50 force
execute if score Scene Clock matches 401 run execute as @e[tag=eviljenext_Carter] at @s run tp @s ~ ~ ~ ~ 60
execute if score Scene Clock matches 401..701 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @e[tag=eviljenext_Carter] ^-1 ^0.5 ^0.5

execute if score Scene Clock matches 401 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenext_Jen,limit=1,sort=nearest]
execute if score Scene Clock matches 401 run execute as @e[tag=eviljenext_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenext_HoneyBooBoo,limit=1,sort=nearest]

#Pat/Carter: "JEN, HELP US!!!"
execute if score Scene Clock matches 421 run function terra_eviljenext:lang/cutscene_honey_boo_boo7
execute if score Scene Clock matches 421 run execute as @e[tag=eviljenext_Carter] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 421 run execute as @e[tag=eviljenext_Carter] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10
execute if score Scene Clock matches 421 run execute as @e[tag=eviljenext_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 421 run execute as @e[tag=eviljenext_Pat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10

#Move Honey Boo Boo toward Jen
execute if score Scene Clock matches 421..660 run execute as @e[tag=eviljenext_HoneyBooBoo] at @s run tp @s ^ ^ ^0.05 facing entity @e[tag=eviljenext_Jen,limit=1,sort=nearest]

#Jen: "What do I do?!... The lucky block, of course!"
execute if score Scene Clock matches 501 run function terra_eviljenext:lang/cutscene_honey_boo_boo8
execute if score Scene Clock matches 501 run execute as @e[tag=eviljenext_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 501 run execute as @e[tag=eviljenext_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10

#Move camera
#120RY
execute if score Scene Clock matches 421..620 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~0.6 ~

#Jen uses lucky block which gives a cookie
execute if score Scene Clock matches 601 run execute as @e[tag=eviljenext_Jen] at @s run playsound minecraft:entity.item.pickup player @a ~ ~ ~ 10
execute if score Scene Clock matches 601 run execute as @e[tag=eviljenext_Jen] at @s run summon minecraft:armor_stand 6265 59 6001 {Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1531}}],Tags:["SceneActor","eviljenext_JenLuckyBlock"]}

execute if score Scene Clock matches 641 run execute as @e[tag=eviljenext_Jen] at @s run kill @e[tag=eviljenext_JenLuckyBlock]
execute if score Scene Clock matches 641 run execute as @e[tag=eviljenext_Jen] at @s run playsound minecraft:sfx_lucky_block player @a ~ ~ ~ 10
execute if score Scene Clock matches 641 run execute as @e[tag=eviljenext_Jen] at @s run particle minecraft:happy_villager ~ ~1 ~ 1 1 1 0 100 force
execute if score Scene Clock matches 641 run execute as @e[tag=eviljenext_Jen] at @s run summon minecraft:armor_stand 6265 58 6001 {Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:cookie",Count:1b}],Tags:["SceneActor","eviljenext_JenCookie"]}

#Jen: "A cookie?! Oh no, it didn't work! Ahhhh!!!"
execute if score Scene Clock matches 661 run function terra_eviljenext:lang/cutscene_honey_boo_boo9
execute if score Scene Clock matches 661 run execute as @e[tag=eviljenext_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 661 run execute as @e[tag=eviljenext_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10

execute if score Scene Clock matches 701 run execute as @a at @s run effect give @s minecraft:blindness 5 0 true



#Move cameras 2-4 to the left/right of camera 1
execute if score Scene Clock matches 1..100 run execute as @e[tag=SceneCamera2] at @e[tag=SceneCamera1] run tp @s ^ ^ ^ ~ ~
execute if score Scene Clock matches 1..100 run execute as @e[tag=SceneCamera3] at @e[tag=SceneCamera1] run tp @s ^ ^ ^ ~ ~
execute if score Scene Clock matches 1..100 run execute as @e[tag=SceneCamera4] at @e[tag=SceneCamera1] run tp @s ^ ^ ^ ~ ~

execute if score Scene Clock matches 101.. run execute as @e[tag=SceneCamera2] at @e[tag=SceneCamera1] run tp @s ^1.0 ^ ^ ~ ~
execute if score Scene Clock matches 101.. run execute as @e[tag=SceneCamera3] at @e[tag=SceneCamera1] run tp @s ^-1.0 ^ ^ ~ ~
execute if score Scene Clock matches 101.. run execute as @e[tag=SceneCamera4] at @e[tag=SceneCamera1] run tp @s ^-2.0 ^ ^ ~ ~












