#/function terra_eviljenint:encounters/evil_jen/end
#Created by Mithey

#Kill entities
execute as @e[tag=eviljenint_BossEvilJen] at @s run tp @s ~ ~-500 ~
kill @e[tag=eviljenint_BossEvilJen]

#Hide boss bars
bossbar set minecraft:200 visible false
bossbar set minecraft:201 visible false
bossbar set minecraft:202 visible false

#Ensure death is processed
execute as @a[scores={Death=1..}] at @s run function terra_eviljenint:on_death

#Remove objectives
scoreboard objectives remove EncounterDeath
scoreboard players set TerraRestore InEncounter 0
scoreboard players reset Encounter Clock

fill 7179 57 6907 7205 57 6933 minecraft:polished_granite replace minecraft:netherrack
tag @e remove eviljenint_PlatformSectionHeartfall
kill @e[tag=eviljenint_EvilJenHeart]

kill @e[tag=eviljenint_Heartwave]

tp @e[tag=eviljenint_EvilJenZombie] ~ ~-500 ~
kill @e[tag=eviljenint_EvilJenZombie]
kill @e[tag=eviljenint_EvilJenZombieRotator]

#Fix platforms
execute as @e[tag=eviljenint_PlatformSection] at @s run clone ~ ~-1 ~ ~8 ~-1 ~8 ~ ~ ~
tag @e remove eviljenint_PlatformSectionPlatformSink
tag @e remove eviljenint_PlatformSectionPlatformNotSafe

scoreboard players reset PlatformSink1 Clock

#Open gates
#fill X1 Y1 Z1 X2 Y2 Z2 minecraft:air replace minecraft:iron_bars

#Music
function terra_system:music/set_song/lycanthropy

#Turn off clock
setblock ~-1 ~ ~ minecraft:lapis_block
data merge block ~ ~ ~ {Command:"function terra_eviljenint:encounters/evil_jen/attempt_start"}

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Move player to correct location in adventure mode
#Run won/lost stuff
execute if score WonEncounter Temp matches 0 run function terra_eviljenint:encounters/evil_jen/end_lost
execute if score WonEncounter Temp matches 1 run function terra_eviljenint:encounters/evil_jen/end_won
gamemode adventure @a
scoreboard players reset WonEncounter Temp
scoreboard objectives remove EncounterTime









