#/function terra_spookaycave:cutscene/door_scene/1_events
#Created by Mithey

data merge entity @e[tag=spookaycave_Carter,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:nitwit",type:"minecraft:plains"}}
data merge entity @e[tag=spookaycave_Jen,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:cleric",type:"minecraft:plains"}}
data merge entity @e[tag=spookaycave_Pat,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"}}

#Move all cameras
#3030 110 3075 -90 35 ---> 3030 110 3075 -90 35
execute if score Scene Clock matches 1..410 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.05

#Turn Carter Around
execute if score Scene Clock matches 31..50 run execute as @e[tag=spookaycave_Carter] at @s run tp @s ~ ~ ~ ~9 ~-2.25

#Carter equips TNT
execute if score Scene Clock matches 61..61 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.item.pickup player @a ~ ~ ~ 3
execute if score Scene Clock matches 61..61 run summon armor_stand 3035 108 3075 {Rotation:[90f,0f],Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,Pose:{RightArm:[0f,0f,0f]},HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1506}}],Tags:["SceneActor","spookaycave_GiantTNT"]}

#Carter: "This ought to do!"
execute if score Scene Clock matches 81..81 run function terra_spookaycave:lang/door_scene1
execute if score Scene Clock matches 81..81 run execute as @e[tag=spookaycave_Carter] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 81..81 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Carter waves TNT
execute if score Scene Clock matches 81..81 run execute as @e[tag=spookaycave_GiantTNT] at @s run data merge entity @s {Pose:{RightArm:[-40f,0f,0f]}}
execute if score Scene Clock matches 91..91 run execute as @e[tag=spookaycave_GiantTNT] at @s run data merge entity @s {Pose:{RightArm:[0f,0f,0f]}}
execute if score Scene Clock matches 101..101 run execute as @e[tag=spookaycave_GiantTNT] at @s run data merge entity @s {Pose:{RightArm:[-40f,0f,0f]}}
execute if score Scene Clock matches 111..111 run execute as @e[tag=spookaycave_GiantTNT] at @s run data merge entity @s {Pose:{RightArm:[0f,0f,0f]}}

#Move over to door
execute if score Scene Clock matches 151..151 as @e[tag=SceneCamera] at @s run tp @s 3001 110 3095 0 -10
execute if score Scene Clock matches 151..151 run tp @e[tag=spookaycave_Carter] ~ ~-500 ~
execute if score Scene Clock matches 151..151 run summon villager 3001 107 3092 {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:nitwit",type:"minecraft:plains"},CustomName:"{\"translate\":\"Carter\"}",CustomNameVisible:1b,Rotation:[0f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_Carter"]}
execute if score Scene Clock matches 151..151 run tp @e[tag=spookaycave_GiantTNT] ~ ~-500 ~
execute if score Scene Clock matches 151..151 run summon armor_stand 3001 107 3092 {Rotation:[0f,0f],Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,Pose:{RightArm:[0f,0f,0f]},HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1506}}],Tags:["spookaycave_GiantTNT"]}
execute if score Scene Clock matches 151..151 run tp @e[tag=spookaycave_Jen] ~ ~-500 ~
execute if score Scene Clock matches 151..151 run summon villager 3003 107 3100 {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:cleric",type:"minecraft:plains"},CustomName:"{\"translate\":\"Jen\"}",CustomNameVisible:1b,Rotation:[165f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_Jen"]}
execute if score Scene Clock matches 151..151 run tp @e[tag=spookaycave_Pat] ~ ~-500 ~
execute if score Scene Clock matches 151..151 run summon villager 2999 107 3100 {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"},CustomName:"{\"translate\":\"Pat\"}",CustomNameVisible:1b,Rotation:[-165f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_Pat"]}

#Carter moves to door
#12Z
execute if score Scene Clock matches 151..198 run execute as @e[tag=spookaycave_Carter] at @s run tp @s ~ ~ ~0.25 ~ ~
execute if score Scene Clock matches 151..198 run execute as @e[tag=spookaycave_GiantTNT] at @s run tp @s ~ ~ ~0.25 ~ ~
execute if score Scene Clock matches 151..198 run execute as @e[tag=spookaycave_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=spookaycave_Carter,sort=nearest,limit=1]
execute if score Scene Clock matches 151..198 run execute as @e[tag=spookaycave_Pat] at @s run tp @s ~ ~ ~ facing entity @e[tag=spookaycave_Carter,sort=nearest,limit=1]

#Carter: "Now let's see what is behind this giant door"
execute if score Scene Clock matches 201..201 run function terra_spookaycave:lang/door_scene2
execute if score Scene Clock matches 201..201 run execute as @e[tag=spookaycave_Carter] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 201..201 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Jen: "Ummm we might want to back up..."
execute if score Scene Clock matches 281..281 run function terra_spookaycave:lang/door_scene3
execute if score Scene Clock matches 281..281 run execute as @e[tag=spookaycave_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 281..281 run execute as @e[tag=spookaycave_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Pat/Jen move backwards
execute if score Scene Clock matches 331..362 run execute as @e[tag=spookaycave_Jen] at @s run tp @s ~ ~ ~-0.25
execute if score Scene Clock matches 331..362 run execute as @e[tag=spookaycave_Pat] at @s run tp @s ~ ~ ~-0.25

#Carter chucks TNT at door and gets blown way back
execute if score Scene Clock matches 351..351 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.egg.throw player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 351..351 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.egg.throw player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 351..351 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.egg.throw player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 351..351 run execute as @e[tag=spookaycave_GiantTNT] at @s run data merge entity @s {NoGravity:0,Marker:0,Motion:[0d,1.5d,0.5d]}

#Blow up door
execute if score Scene Clock matches 371..380 run execute as @e[tag=spookaycave_GiantTNT] at @s run particle minecraft:explosion ~ ~ ~ 3 3 1 0 100 force
execute if score Scene Clock matches 371..371 run execute as @e[tag=spookaycave_GiantTNT] at @s run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 374..374 run execute as @e[tag=spookaycave_GiantTNT] at @s run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 10 1.5
execute if score Scene Clock matches 377..377 run execute as @e[tag=spookaycave_GiantTNT] at @s run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 10 1
execute if score Scene Clock matches 380..380 run execute as @e[tag=spookaycave_GiantTNT] at @s run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 380..380 run execute as @e[tag=spookaycave_GiantTNT] at @s run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 380..380 run execute as @e[tag=spookaycave_GiantTNT] at @s run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 380..380 run execute as @e[tag=spookaycave_GiantTNT] at @s run particle minecraft:explosion ~ ~ ~ 6 6 3 0 1000 force
execute if score Scene Clock matches 380..380 run execute as @e[tag=spookaycave_Carter] at @s run data merge entity @s {Motion:[0d,1.5d,-3d],NoAI:0,Attributes:[{Name:generic.movementSpeed,Base:0}]}
execute if score Scene Clock matches 380..380 run kill @e[tag=spookaycave_GiantTNT]
execute if score Scene Clock matches 380..380 run fill 3004 106 3111 2998 110 3113 minecraft:air
execute if score Scene Clock matches 380..380 run fill 2997 106 3111 2997 108 3113 minecraft:air
execute if score Scene Clock matches 377..377 run fill 3003 111 3111 2999 113 3113 minecraft:air
execute if score Scene Clock matches 374..374 run fill 3002 114 3111 3000 115 3113 minecraft:air
execute if score Scene Clock matches 371..371 run fill 3001 116 3111 3001 117 3113 minecraft:air

#Turn Camera to show Carter
execute if score Scene Clock matches 411..430 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~0.15 ~9 ~
execute if score Scene Clock matches 411..411 run execute as @e[tag=spookaycave_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=spookaycave_Carter,sort=nearest,limit=1]
execute if score Scene Clock matches 411..411 run execute as @e[tag=spookaycave_Pat] at @s run tp @s ~ ~ ~ facing entity @e[tag=spookaycave_Carter,sort=nearest,limit=1]

#Carter: "I'M FINE! Don't worry about me!"
execute if score Scene Clock matches 451..451 run function terra_spookaycave:lang/door_scene4
execute if score Scene Clock matches 451..451 run execute as @e[tag=spookaycave_Carter] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 451..451 run execute as @e[tag=spookaycave_Carter] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10





