#/function terra_spookaycave:entities/custom_mobs
#Created by Mithey

#NPCs
#spookaycave_Jen
execute if entity @s[tag=spookaycave_Jen] run data merge entity @s {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:cleric",type:"minecraft:plains"},CustomName:"{\"translate\":\"Jen\"}",CustomNameVisible:1b,NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_Jen"]}

#spookaycave_Carter
execute if entity @s[tag=spookaycave_Carter] run data merge entity @s {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:nitwit",type:"minecraft:plains"},CustomName:"{\"translate\":\"Carter\"}",CustomNameVisible:1b,NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_Carter"]}

#spookaycave_Pat
execute if entity @s[tag=spookaycave_Pat] run data merge entity @s {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"},CustomName:"{\"translate\":\"Pat\"}",CustomNameVisible:1b,NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_Pat"]}

#spookaycave_ChuckNorris
execute if entity @s[tag=spookaycave_ChuckNorris] run data merge entity @s {CustomName:"{\"translate\":\"Chuck\"}",CustomNameVisible:1b,NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Jack O'Lantern\"}"},SkullOwner:{Id:"86c0c0e3-a995-bc04-35bd-2b45b0357150",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNDE0NGFhYzJhMmE0NTkyNzdiMjBkMGY0MmM1ZThiNWY2NjVjZGRiZWVkNmFiNmViMThmMGQ5MjJhNDZkZTM5MiJ9fX0="}]}}}}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty",Tags:["CustomMob","Function","FunctionMisc","Ally","FriendlyTeam","spookaycave_ChuckNorris"],VillagerData:{profession:"minecraft:librarian",type:"minecraft:plains"}}

#spookaycave_Sparky
execute if entity @s[tag=spookaycave_Sparky] run data merge entity @s {CustomName:"{\"translate\":\"Sparky\"}",CustomNameVisible:1b,NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty",Tags:["CustomMob","Function","FunctionMisc","Ally","FriendlyTeam","spookaycave_Sparky"],Sitting:1b}

#spookaycave_EvilCloud
execute if entity @s[tag=spookaycave_EvilCloud] run data merge entity @s {CatType:2,CustomName:"{\"translate\":\"Evil Cloud\"}",CustomNameVisible:1,NoAI:1,PersistenceRequired:1,Invulnerable:1,Tags:["CustomMob","Enemy","HostileTeam","spookaycave_EvilCloud"],Sitting:1b}

#spookaycave_Derpzom
execute if entity @s[tag=spookaycave_Derpzom] run data merge entity @s {CustomName:"{\"translate\":\"Derpzom\"}",CustomNameVisible:1b,NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Zombie\"}"},SkullOwner:{Id:"6467eb0e-e1bd-44bf-a484-ea3b14d129ca",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZjU5ODE5NDViZDlhOTE3OWZiODI5N2EwNjYxYmViMjMxYmNmZGE4M2E0ZGRlZTZiMjA4N2NmZDdiNGNiZDk5OSJ9fX0="}]}}}}],HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1507}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Derpzom"]}

#spookaycave_Audience
execute if entity @s[tag=spookaycave_Audience] run data merge entity @s {NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","HostileTeam","spookaycave_Audience"]}

#spookaycave_MrRainbow
execute if entity @s[tag=spookaycave_MrRainbow] run data merge entity @s {CustomName:"{\"text\":\"jeb_\"}",NoAI:1b,Invulnerable:1b,DeathLootTable:"empty",Passengers:[{id:"minecraft:armor_stand",CustomName:"{\"translate\":\"§cM§6r. §eR§aa§2i§bn§3b§5o§dw\"}",CustomNameVisible:1b,Marker:1b}],Tags:["CustomMob","Ally","FriendlyTeam","spookaycave_MrRainbow"]}





#ENEMIES
#spookaycave_SkeletonBow
#Easy
execute if entity @s[tag=spookaycave_SkeletonBow] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:bow",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:50},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.225},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:5}],Health:5f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_SkeletonBow"]}
#Normal
execute if entity @s[tag=spookaycave_SkeletonBow] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:bow",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:50},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_SkeletonBow"]}
#Hard
execute if entity @s[tag=spookaycave_SkeletonBow] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:bow",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:50},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:15}],Health:15f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_SkeletonBow"]}

#spookaycave_Zombie
#Easy
execute if entity @s[tag=spookaycave_Zombie] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:stone_pickaxe",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:50},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.225},{Name:generic.attackDamage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Zombie"]}
#Normal
execute if entity @s[tag=spookaycave_Zombie] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:stone_pickaxe",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:50},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:15}],Health:15f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Zombie"]}
#Hard
execute if entity @s[tag=spookaycave_Zombie] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:stone_pickaxe",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:50},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Zombie"]}

#spookaycave_SpiderDetection
#Easy
execute if entity @s[tag=spookaycave_SpiderDetection] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.35},{Name:generic.attackDamage,Base:1.5},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:15}],Health:15f,AbsorptionAmount:0.01f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","Detection","DetectionLow","spookaycave_SpiderDetection"]}
#Normal
execute if entity @s[tag=spookaycave_SpiderDetection] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.425},{Name:generic.attackDamage,Base:2.5},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:30}],Health:30f,AbsorptionAmount:0.01f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","Detection","DetectionLow","spookaycave_SpiderDetection"]}
#Hard
execute if entity @s[tag=spookaycave_SpiderDetection] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.5},{Name:generic.attackDamage,Base:3.25},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:45}],Health:45f,AbsorptionAmount:0.01f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","Detection","DetectionLow","spookaycave_SpiderDetection"]}

#spookaycave_CaveSpiderDetection
#Easy
execute if entity @s[tag=spookaycave_CaveSpiderDetection] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.225},{Name:generic.attackDamage,Base:0.5},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,AbsorptionAmount:0.01f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","Detection","DetectionLow","spookaycave_CaveSpiderDetection"]}
#Normal
execute if entity @s[tag=spookaycave_CaveSpiderDetection] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:15}],Health:15f,AbsorptionAmount:0.01f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","Detection","DetectionLow","spookaycave_CaveSpiderDetection"]}
#Hard
execute if entity @s[tag=spookaycave_CaveSpiderDetection] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,AbsorptionAmount:0.01f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","Detection","DetectionLow","spookaycave_CaveSpiderDetection"]}

#spookaycave_Spider
#Easy
execute if entity @s[tag=spookaycave_Spider] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.35},{Name:generic.attackDamage,Base:1.5},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:15}],Health:15f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Spider"]}
#Normal
execute if entity @s[tag=spookaycave_Spider] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.425},{Name:generic.attackDamage,Base:2.5},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:30}],Health:30f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Spider"]}
#Hard
execute if entity @s[tag=spookaycave_Spider] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.5},{Name:generic.attackDamage,Base:3.25},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:45}],Health:45f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_Spider"]}

#spookaycave_CaveSpider
#Easy
execute if entity @s[tag=spookaycave_CaveSpider] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.225},{Name:generic.attackDamage,Base:0.5},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_CaveSpider"]}
#Normal
execute if entity @s[tag=spookaycave_CaveSpider] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:15}],Health:15f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_CaveSpider"]}
#Hard
execute if entity @s[tag=spookaycave_CaveSpider] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:40},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"terra_system:gold",Tags:["CustomMob","Enemy","HostileTeam","spookaycave_CaveSpider"]}

#spookaycave_Ghost
#Easy
execute if entity @s[tag=spookaycave_Ghost] if score TerraRestore Difficulty matches 1 run data merge entity @s {CustomName:"{\"translate\":\"Ghost\"}",Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Ghost\"}"},SkullOwner:{Id:"e07e6b77-33cc-4ad9-b49d-d1737869a437",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZmMyYjcxMTdkZGRlZTU3ZTMyNzU2MThmYjc0YTk0ZmYyMzg4ZGZjOTk5MjQzNjEwMTlkZmY5ODM0ZTI3NzEifX19"}]}}}}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:10},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.10},{Name:generic.attackDamage,Base:4},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"empty",ActiveEffects:[{Id:14,Duration:2000000000,ShowParticles:0b}],Tags:["CustomMob","Function","CustomAbility","Enemy","HostileTeam","spookaycave_Ghost"]}
#Normal
execute if entity @s[tag=spookaycave_Ghost] if score TerraRestore Difficulty matches 2 run data merge entity @s {CustomName:"{\"translate\":\"Ghost\"}",Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Ghost\"}"},SkullOwner:{Id:"e07e6b77-33cc-4ad9-b49d-d1737869a437",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZmMyYjcxMTdkZGRlZTU3ZTMyNzU2MThmYjc0YTk0ZmYyMzg4ZGZjOTk5MjQzNjEwMTlkZmY5ODM0ZTI3NzEifX19"}]}}}}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:15},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.13},{Name:generic.attackDamage,Base:6},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"empty",ActiveEffects:[{Id:14,Duration:2000000000,ShowParticles:0b}],Tags:["CustomMob","Function","CustomAbility","Enemy","HostileTeam","spookaycave_Ghost"]}
#Hard
execute if entity @s[tag=spookaycave_Ghost] if score TerraRestore Difficulty matches 3 run data merge entity @s {CustomName:"{\"translate\":\"Ghost\"}",Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Ghost\"}"},SkullOwner:{Id:"e07e6b77-33cc-4ad9-b49d-d1737869a437",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZmMyYjcxMTdkZGRlZTU3ZTMyNzU2MThmYjc0YTk0ZmYyMzg4ZGZjOTk5MjQzNjEwMTlkZmY5ODM0ZTI3NzEifX19"}]}}}}],HandItems:[{},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.16},{Name:generic.attackDamage,Base:10},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"empty",ActiveEffects:[{Id:14,Duration:2000000000,ShowParticles:0b}],Tags:["CustomMob","Function","CustomAbility","Enemy","HostileTeam","spookaycave_Ghost"]}

#spookaycave_SparkySkeleton1
execute if entity @s[tag=spookaycave_SparkySkeleton1] run data merge entity @s {Invulnerable:0,NoAI:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:bone",Count:1b}],HandItems:[{id:"minecraft:bone",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:1024}],Health:1024f,AbsorptionAmount:125.0f,DeathLootTable:"empty",Tags:["CustomMob","Function","FunctionMisc","Enemy","HostileTeam","spookaycave_SparkySkeleton1","spookaycave_SparkySkeleton"]}

#spookaycave_SparkySkeleton2
execute if entity @s[tag=spookaycave_SparkySkeleton2] run data merge entity @s {Invulnerable:0,NoAI:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:bone",Count:1b}],HandItems:[{id:"minecraft:bone",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:1024}],Health:1024f,AbsorptionAmount:100.0f,DeathLootTable:"empty",Tags:["CustomMob","Function","FunctionMisc","Enemy","HostileTeam","spookaycave_SparkySkeleton2","spookaycave_SparkySkeleton"]}

#spookaycave_SparkySkeleton3
execute if entity @s[tag=spookaycave_SparkySkeleton3] run data merge entity @s {Invulnerable:0,NoAI:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:bone",Count:1b}],HandItems:[{id:"minecraft:bone",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:1024}],Health:1024f,AbsorptionAmount:75.0f,DeathLootTable:"empty",Tags:["CustomMob","Function","FunctionMisc","Enemy","HostileTeam","spookaycave_SparkySkeleton3","spookaycave_SparkySkeleton"]}





#SHOP
execute if entity @s[tag=spookaycave_Shop1Item1Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§9Spookay Candy\"}",CustomNameVisible:1,Item:{id:"minecraft:cooked_chicken",Count:1b,tag:{ItemTexture:""}},Tags:["CustomMob","spookaycave_Shop1Item1Name"]}
execute if entity @s[tag=spookaycave_Shop1Item1Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"15 gold for 10\"}",CustomNameVisible:1,Tags:["CustomMob","spookaycave_Shop1Item1Price"]}

execute if entity @s[tag=spookaycave_Shop1Item2Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§dGolden Apple\"}",CustomNameVisible:1,Item:{id:"minecraft:golden_apple",Count:1b,tag:{ItemTexture:""}},Tags:["CustomMob","spookaycave_Shop1Item2Name"]}
execute if entity @s[tag=spookaycave_Shop1Item2Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"20 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","spookaycave_Shop1Item2Price"]}

execute if entity @s[tag=spookaycave_Shop1Item3Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§aNightmare Axe\"}",CustomNameVisible:1,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{ItemTexture:"",Damage:1508}},Tags:["CustomMob","spookaycave_Shop1Item3Name"]}
execute if entity @s[tag=spookaycave_Shop1Item3Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"60 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","spookaycave_Shop1Item3Price"]}

execute if entity @s[tag=spookaycave_Shop1Item4Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§e§lLegendary Lucky Block\"}",CustomNameVisible:1,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{ItemTexture:"",Damage:1531}},Tags:["CustomMob","spookaycave_Shop1Item4Name"]}
execute if entity @s[tag=spookaycave_Shop1Item4Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"80 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","spookaycave_Shop1Item4Price"]}

execute if entity @s[tag=spookaycave_Shop1Item5Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§aSpookay\"}",CustomNameVisible:1,Item:{id:"minecraft:diamond_boots",Count:1b,tag:{ItemTexture:"spookay"}},Tags:["CustomMob","spookaycave_Shop1Item5Name"]}
execute if entity @s[tag=spookaycave_Shop1Item5Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"40 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","spookaycave_Shop1Item5Price"]}

execute if entity @s[tag=spookaycave_Shop1Item6Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§aSpookay\"}",CustomNameVisible:1,Item:{id:"minecraft:diamond_leggings",Count:1b,tag:{ItemTexture:"spookay"}},Tags:["CustomMob","spookaycave_Shop1Item6Name"]}
execute if entity @s[tag=spookaycave_Shop1Item6Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"70 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","spookaycave_Shop1Item6Price"]}








#MISC
#spookaycave_Gold
execute if entity @s[tag=spookaycave_Gold] run data merge entity @s {PickupDelay:0,Item:{tag:{display:{Name:"{\"translate\":\"§aGold\"}"}}}}

#spookaycave_DiamondCraftingTable1
execute if entity @s[tag=spookaycave_DiamondCraftingTable1] run data merge entity @s {CustomName:"{\"translate\":\"Requires 50 Lucky Block Essence\"}",CustomNameVisible:1b,NoAI:1b,NoGravity:1b,Invulnerable:1b,Silent:1b,Offers:{Recipes:[]},ArmorItems:[{},{},{},{id:diamond_hoe,Count:1b,tag:{Damage:1525}}],ArmorDropChances:[-10f,-10f,-10f,-10f],DeathLootTable:"empty",VillagerData:{profession:"minecraft:butcher",type:"minecraft:plains"},Tags:["CustomMob","RightClickable","DiamondCraftingTable","spookaycave_DiamondCraftingTable1"]}

#spookaycave_LuckyBlockEssence
execute if entity @s[tag=spookaycave_LuckyBlockEssence] run data merge entity @s {Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1524,display:{Name:"{\"translate\":\"§aLucky Block Essence\"}"},RepairCost:100,Unbreakable:1,AttributeModifiers:[],HideFlags:4}},NoGravity:1,Invulnerable:1,Age:-32768,PickupDelay:0,Tags:["CustomMob","spookaycave_LuckyBlockEssence"]}

#spookaycave_RainbowKey
execute if entity @s[tag=spookaycave_RainbowKey] run data merge entity @s {Invulnerable:1,NoGravity:1,Age:-32768,PickupDelay:32767,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1507}},Tags:["CustomMob","spookaycave_RainbowKey"]}








