#/function terra_system:main_clock
#Created by Mithey

#Check if player just logged in
scoreboard players set @a[tag=!JoinedBefore] PlayerOnline 0
execute as @a[scores={PlayerOnline=0}] at @s run function terra_system:on_join
scoreboard players set * PlayerOnline 0
scoreboard players set @a PlayerOnline 1

#Glowing effect
execute at @a run effect give @e[tag=RightClickable,distance=..3] minecraft:glowing 1 0 true

#Add gold if player has picked up some
execute as @a[nbt={Inventory:[{tag:{Gold:1}}]}] run function terra_system:gold/on_gold_pickup

#Add crystals if player has picked up some
execute as @a[nbt={Inventory:[{tag:{display:{Name:"{\"translate\":\"§e§lLegendary Lucky Block\"}"}}}]}] run function terra_system:exp/on_crystal_pickup

#Right clicked an item
execute as @a[scores={RightClick=1..}] at @s run function terra_system:on_click_item

#Fury
execute as @a[scores={DamageDealt=1..}] at @s run function terra_system:fury/on_damage_dealt

#Mob kills
execute as @a[scores={MobKills=1..}] at @s run function terra_system:on_mob_kill

#Item drops
execute as @a[scores={DroppedItem=1..}] at @s run function terra_system:items/on_item_drop

#Leap clock
execute as @a unless score @s Leap matches 8.. run tag @s[nbt={OnGround:1b}] add CanLeap
execute as @a[tag=LeapClock] at @s run function terra_system:abilities/lucky_leap/clock

#Potions
execute as @a[scores={DrankPotion=1..}] at @s run function terra_system:potions/on_drank_potion

#Jumped
execute as @a[scores={Jumped=1..}] at @s run function terra_system:on_jump





#Timer clock
execute as @e[tag=Timer] at @s run function terra_system:timers/testfor_timer_type

#Animation
execute as @e[tag=Anim] at @s run function terra_system:animations/run_animation

#Detection
execute as @e[tag=Detection,tag=!DetectionNearDisabled] at @s if entity @p[distance=..15] run function terra_system:detection/check_enemy_near
execute as @e[tag=Detection] at @s run function terra_system:detection/check_enemy_damage_or_rod

#Lucky block chest spin
execute as @e[tag=LuckyBlockChest] at @s run tp @s ~ ~ ~ ~5 ~

#Reset sneak objective
scoreboard players set @a Sneaking 0

#Kill arrows in ground
execute as @e[type=arrow] at @s run function terra_system:arrow_properties

#Fishing rod slowness
execute as @e[type=minecraft:fishing_bobber] at @s run effect give @e[tag=Enemy,distance=..2] minecraft:slowness 5 0

#Second clock
scoreboard players add TerraRestore Clock 1
execute if score TerraRestore Clock matches 20.. run function terra_system:activate_second_clocks




