#/function terra_thelandabove:cutscene/ship_encounter_outro/3_events
#Created by Mithey

#Move all cameras
#1344 23 1202 -15 20 ---> 1349 19 1222 175 30
execute if score Scene Clock matches 1..100 as @e[tag=SceneCamera] at @s run tp @s ~0.05 ~-0.04 ~0.2 ~-1.7 ~0.1
#1349 19 1222 175 30 ---> 1349 19 1222 175 50
execute if score Scene Clock matches 101..300 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.1
#1349 19 1222 175 50 ---> 1349 19 1222 175 30
execute if score Scene Clock matches 301..500 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.1
#1349 19 1222 175 30 ---> 1349 19 1222 175 10
execute if score Scene Clock matches 501..700 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.1

#Move Pat
execute if score Scene Clock matches 1..401 run scoreboard players add @e[tag=thelandabove_ArmorStandPat] NPCAnimation 1
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_ArmorStandPat,scores={NPCAnimation=1}] at @s run data merge entity @s {Pose:{Head:[115f,0f,0f]}}
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_ArmorStandPat,scores={NPCAnimation=6}] at @s run data merge entity @s {Pose:{Head:[125f,0f,0f]}}
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_ArmorStandPat,scores={NPCAnimation=10..}] at @s run scoreboard players set @s NPCAnimation 0

#Move Cloud
execute if score Scene Clock matches 1..401 run scoreboard players add @e[tag=thelandabove_Cloud] NPCAnimation 1
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_Cloud,scores={NPCAnimation=1}] at @s run data merge entity @s {Sitting:0b}
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_Cloud,scores={NPCAnimation=6}] at @s run data merge entity @s {Sitting:1b}
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_Cloud,scores={NPCAnimation=10..}] at @s run scoreboard players set @s NPCAnimation 0

#Move Jen
execute if score Scene Clock matches 1..401 run scoreboard players add @e[tag=thelandabove_Jen] NPCAnimation 1
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_Jen,scores={NPCAnimation=1}] at @s run tp @s ~ ~ ~ ~10 ~
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_Jen,scores={NPCAnimation=6}] at @s run tp @s ~ ~ ~ ~-10 ~
execute if score Scene Clock matches 1..401 run execute as @e[tag=thelandabove_Jen,scores={NPCAnimation=10..}] at @s run scoreboard players set @s NPCAnimation 0

#Make Pat and Jen fall
#execute if score Scene Clock matches 401..401 as @e[tag=thelandabove_Jen] at @s run data merge entity @s {NoAI:0}
execute if score Scene Clock matches 401..401 as @e[tag=thelandabove_ArmorStandPat] at @s run data merge entity @s {NoGravity:0}
execute if score Scene Clock matches 401.. as @e[tag=thelandabove_Jen] at @s run tp @s ~ ~-1 ~

#Dialogue
execute if score Scene Clock matches 1..1 run function terra_thelandabove:lang/cutscene_ship_encounter_outro6
execute if score Scene Clock matches 1..1 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10
execute if score Scene Clock matches 201..201 run function terra_thelandabove:lang/cutscene_ship_encounter_outro7
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandabove_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10
execute if score Scene Clock matches 301..301 run function terra_thelandabove:lang/cutscene_ship_encounter_outro8
execute if score Scene Clock matches 301..301 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10
execute if score Scene Clock matches 401..401 run function terra_thelandabove:lang/cutscene_ship_encounter_outro9
execute if score Scene Clock matches 401..401 run execute as @e[tag=thelandabove_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 401..401 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 1.5
execute if score Scene Clock matches 501..501 run function terra_thelandabove:lang/cutscene_ship_encounter_outro10
execute if score Scene Clock matches 401..401 run execute as @e[tag=thelandabove_Cloud] at @s run playsound minecraft:entity.cat.purreow player @a ~ ~ ~ 10 1.5

#Falling sounds
execute if score Scene Clock matches 411..411 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 1.5
execute if score Scene Clock matches 411..411 run execute as @e[tag=thelandabove_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 421..421 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 1.5
execute if score Scene Clock matches 421..421 run execute as @e[tag=thelandabove_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 431..431 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 1.5
execute if score Scene Clock matches 431..431 run execute as @e[tag=thelandabove_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 441..441 run execute as @e[tag=thelandabove_ArmorStandPat] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 1.5
execute if score Scene Clock matches 441..441 run execute as @e[tag=thelandabove_Jen] at @s run playsound minecraft:entity.villager.no player @a ~ ~ ~ 10 2

#Cloud thinks of food and walks away
execute if score Scene Clock matches 561..561 as @e[tag=thelandabove_Cloud] at @s run tp @s ~ ~ ~ 0 0
execute if score Scene Clock matches 561..561 as @e[tag=thelandabove_Cloud] at @s run function terra_system:misc/speech_bubble_fish
#1349 18 1213 -> 1343 18 1199
execute if score Scene Clock matches 601..700 as @e[tag=thelandabove_Cloud] at @s run tp @s ~-0.06 ~ ~-0.14 155 0







