#/function terra_thelandabove:encounters/ship/end
#Created by Mithey

#Run won/lost stuff
execute if score WonEncounter Temp matches 0 run function terra_thelandabove:encounters/ship/end_lost
execute if score WonEncounter Temp matches 1 run function terra_thelandabove:encounters/ship/end_won

#Kill entities
execute as @e[tag=EncounterEntity] at @s run tp @s ~ ~-500 ~
kill @e[tag=EncounterEntity]

#Hide boss bars
bossbar set minecraft:200 visible false
bossbar set minecraft:201 visible false
bossbar set minecraft:202 visible false

#Ensure death is processed
execute as @a[scores={Death=1..}] at @s run function terra_thelandabove:on_death

#Remove objectives
scoreboard objectives remove EncounterTime
scoreboard objectives remove EncounterDeath
scoreboard players set TerraRestore InEncounter 0
scoreboard players reset WonEncounter Temp
scoreboard objectives remove RemainingTime
scoreboard players reset Encounter Clock

#Open gates
fill 1339 27 1122 1339 25 1124 minecraft:air replace iron_bars
fill 1341 33 1109 1343 25 1109 minecraft:air replace minecraft:barrier

#Music
function terra_system:music/set_song/what_lies_beyond

#Turn off clock
setblock ~-1 ~ ~ minecraft:lapis_block
data merge block ~ ~ ~ {Command:"function terra_thelandabove:encounters/ship/attempt_start"}

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 1342 26 1123 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 1342 26 1123"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Activate cutscene if won
execute if block 107 4 -30 minecraft:green_wool run setblock 32 6 38 minecraft:redstone_block








