#/function terra_thelandbelow:cutscene/hill_end/1_events
#Created by Mithey

#Open gate
fill 2085 19 2117 2085 21 2119 minecraft:air

#Move all cameras
#2043 49 2138 30 30 ---> 2043 49 2138 30 15
execute if score Scene Clock matches 1..200 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.075
execute if score Scene Clock matches 201..300 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.15
#2043 49 2138 30 30 ---> 2058 24 2128 -120 30
execute if score Scene Clock matches 301..350 as @e[tag=SceneCamera] at @s run tp @s ~0.3 ~-0.5 ~-0.2 ~-3 ~
#2058 24 2128 -120 30 ---> 2058 24 2128 -120 15
execute if score Scene Clock matches 351..400 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.3

execute if score Scene Clock matches 401..500 run execute as @e[tag=thelandbelow_Pat] at @s run tp @e[tag=SceneCamera] ~-3 ~3 ~3
execute if score Scene Clock matches 401..500 run execute as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ facing entity @e[tag=thelandbelow_Pat,limit=1] feet

#Pat climbs side of cliff while inside pot
execute if score Scene Clock matches 1..50 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~0.1 ~
execute if score Scene Clock matches 51..60 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~0.1 ~0.1
execute if score Scene Clock matches 61..70 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~0.1
execute if score Scene Clock matches 1..50 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s ~ ~0.1 ~
execute if score Scene Clock matches 51..60 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s ~ ~0.1 ~0.1
execute if score Scene Clock matches 61..70 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s ~ ~ ~0.1

#Pickaxe animation
execute if score Scene Clock matches 1..60 run scoreboard players add PotScene Temp 1
execute if score Scene Clock matches 1..60 run execute if score PotScene Temp matches 5 run execute as @e[tag=thelandbelow_PatPot] at @s run data merge entity @s {Pose:{LeftArm:[315f,0f,0f]}}
execute if score Scene Clock matches 1..60 run execute if score PotScene Temp matches 5 run execute as @e[tag=thelandbelow_PatPot] at @s run playsound minecraft:block.anvil.land player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 1..60 run execute if score PotScene Temp matches 10 run execute as @e[tag=thelandbelow_PatPot] at @s run data merge entity @s {Pose:{LeftArm:[0f,0f,0f]}}
execute if score Scene Clock matches 1..60 run execute if score PotScene Temp matches 10 run execute as @e[tag=thelandbelow_PatPot] at @s run playsound minecraft:block.anvil.land player @a ~ ~ ~ 10 2
execute if score Scene Clock matches 1..60 run execute if score PotScene Temp matches 10.. run scoreboard players set PotScene Temp 0

#Happy Pat
execute if score Scene Clock matches 71 run execute as @e[tag=thelandbelow_Pat] at @s run particle minecraft:happy_villager ~ ~1 ~ 1 1 1 0 100 force
execute if score Scene Clock matches 71 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 1
execute if score Scene Clock matches 101 run function terra_thelandbelow:lang/cutscene_hill_end1
execute if score Scene Clock matches 101 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 101 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 2
execute if score Scene Clock matches 241 run function terra_thelandbelow:lang/cutscene_hill_end2
execute if score Scene Clock matches 241 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 241 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10
execute if score Scene Clock matches 241 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ -150 45
execute if score Scene Clock matches 241 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s ~ ~ ~ -150 45

#Dialogue 3
execute if score Scene Clock matches 301 run function terra_thelandbelow:lang/cutscene_hill_end3
execute if score Scene Clock matches 301 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 301 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Carter and Jen move
execute if score Scene Clock matches 351..400 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~0.12 ~ ~-0.04 ~ ~
execute if score Scene Clock matches 351..400 run execute as @e[tag=thelandbelow_Carter] at @s run tp @s ~0.12 ~ ~-0.04 ~ ~

#Dialogue 4
execute if score Scene Clock matches 351 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s 2044 47 2144 180 10
execute if score Scene Clock matches 351 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s 2044 47 2144 180 10
execute if score Scene Clock matches 401 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~-500 ~
execute if score Scene Clock matches 401 run execute as @e[tag=thelandbelow_Carter] at @s run tp @s ~ ~-500 ~
execute if score Scene Clock matches 401 run function terra_thelandbelow:lang/cutscene_hill_end4
execute if score Scene Clock matches 401 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 401 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Move Pat
execute if score Scene Clock matches 401..425 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~-0.2 180 0
execute if score Scene Clock matches 401..425 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s ~ ~ ~-0.2 180 0
execute if score Scene Clock matches 426..475 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~-0.64 ~-0.28
execute if score Scene Clock matches 426..475 run execute as @e[tag=thelandbelow_PatPot] at @s run tp @s ~ ~-0.64 ~-0.28
execute if score Scene Clock matches 472 run execute as @e[tag=thelandbelow_CutsceneZombie] at @s run playsound minecraft:block.anvil.land player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 472 run execute as @e[tag=thelandbelow_CutsceneZombie] at @s run particle minecraft:block minecraft:flower_pot ~ ~2 ~ 0.5 0.5 0.5 0 1000 force
execute if score Scene Clock matches 472 run execute as @e[tag=thelandbelow_CutsceneZombie] at @s run kill @s
execute if score Scene Clock matches 472 run execute as @e[tag=thelandbelow_PatPot] at @s run kill @s
execute if score Scene Clock matches 476..525 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~0.3 ~ ~-0.1 -110 0



