#/function terra_thelandbelow:encounters/evil_cloud/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 1968 59 2206 90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 1968 59 2206"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=NaturalMob] at @s run tp @s ~ ~-500 ~
kill @e[tag=NaturalMob]

#Reset fury
execute as @a run function terra_system:fury/reset_fury

#Title
title @a times 20 60 60
function terra_thelandbelow:lang/encounter_evil_cloud_title

#Objective boss bar
bossbar set minecraft:200 name "Boss Health"
bossbar set minecraft:200 color green
execute if score TerraRestore Difficulty matches 1 run bossbar set minecraft:200 value 300
execute if score TerraRestore Difficulty matches 1 run bossbar set minecraft:200 max 300
execute if score TerraRestore Difficulty matches 2 run bossbar set minecraft:200 value 500
execute if score TerraRestore Difficulty matches 2 run bossbar set minecraft:200 max 500
execute if score TerraRestore Difficulty matches 3 run bossbar set minecraft:200 value 700
execute if score TerraRestore Difficulty matches 3 run bossbar set minecraft:200 max 700
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/collision

#Close gates
#fill X1 Y1 Z1 X2 Y2 Z2 minecraft:iron_bars replace minecraft:air

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add BossHealth dummy

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Summon in entities
summon minecraft:cat 1954 58 2206 {CatType:2,CustomName:"{\"translate\":\"Evil Cloud\"}",CustomNameVisible:1,Rotation:[-90f,0f],NoAI:1,PersistenceRequired:1,Attributes:[{Name:generic.maxHealth,Base:500}],Health:500f,ActiveEffects:[{Id:10,Duration:2000000000,ShowParticles:0b,Amplifier:10}],Tags:["CustomMob","NoCollisionTeam","thelandbelow_EvilCloud"]}
summon minecraft:skeleton 1954 58 2206 {CustomName:"{\"translate\":\"Evil Cloud\",\"color\":\"red\"}",Rotation:[-90f,0f],PersistenceRequired:1b,Silent:1b,ActiveEffects:[{Id:12,Duration:2000000000,ShowParticles:0b},{Id:14,Duration:2000000000,ShowParticles:0b}],Tags:["CustomMob","Boss","Enemy","HostileTeam","thelandbelow_EvilCloudSkeleton"]}

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_thelandbelow:encounters/evil_cloud/clock"}





