#/function terra_theresistancecamp:entities/custom_mobs
#Created by Mithey

#NPCs
#theresistancecamp_Sparky
execute if entity @s[tag=theresistancecamp_Sparky] run data merge entity @s {CustomName:"{\"translate\":\"Sparky\"}",Tags:["CustomMob","Function","Dialogue","Ally","FriendlyTeam","theresistancecamp_Sparky"]}

#theresistancecamp_Chuck
execute if entity @s[tag=theresistancecamp_Chuck] run data merge entity @s {CustomName:"{\"translate\":\"Chuck\"}",Tags:["CustomMob","Function","Dialogue","Ally","FriendlyTeam","theresistancecamp_Chuck"]}

#theresistancecamp_LittleChuck
execute if entity @s[tag=theresistancecamp_LittleChuck] run data merge entity @s {CustomName:"{\"translate\":\"Little Chuck\"}",VillagerData:{profession:"minecraft:librarian",type:"minecraft:plains"}}

#theresistancecamp_CaptainCookieLittle
execute if entity @s[tag=theresistancecamp_CaptainCookieLittle] run data merge entity @s {CustomName:"{\"translate\":\"Captain Cookie Little\"}"}

#theresistancecamp_MrRainbow
execute if entity @s[tag=theresistancecamp_MrRainbow] run data merge entity @s {CustomName:"{\"translate\":\"jeb_\"}"}

#theresistancecamp_MrRainbowName
execute if entity @s[tag=theresistancecamp_MrRainbowName] run data merge entity @s {CustomName:"{\"translate\":\"§cM§6r. §eR§aa§2i§bn§3b§5o§dw\"}"}

#theresistancecamp_Pat
execute if entity @s[tag=theresistancecamp_Pat] run data merge entity @s {CustomName:"{\"translate\":\"Pat\"}"}

#theresistancecamp_Jen
execute if entity @s[tag=theresistancecamp_Jen] run data merge entity @s {CustomName:"{\"translate\":\"Jen\"}"}

#theresistancecamp_Carter
execute if entity @s[tag=theresistancecamp_Carter] run data merge entity @s {CustomName:"{\"translate\":\"Carter\"}",ActiveEffects:[{Id:18,Duration:2000000000}]}





#ENEMIES
#theresistancecamp_RailshooterZombieTickets
#Easy
execute if entity @s[tag=theresistancecamp_RailshooterZombieTickets] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.45},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"empty",Tags:["CustomMob","Enemy","HostileTeam","theresistancecamp_RailshooterZombieTickets"]}
#Normal
execute if entity @s[tag=theresistancecamp_RailshooterZombieTickets] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.5},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"empty",Tags:["CustomMob","Enemy","HostileTeam","theresistancecamp_RailshooterZombieTickets"]}
#Hard
execute if entity @s[tag=theresistancecamp_RailshooterZombieTickets] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.55},{Name:generic.attackDamage,Base:4},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,DeathLootTable:"empty",Tags:["CustomMob","Enemy","HostileTeam","theresistancecamp_RailshooterZombieTickets"]}

#theresistancecamp_Creeper
#Easy
execute if entity @s[tag=theresistancecamp_Creeper] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.4},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,DeathLootTable:"empty",Fuse:17,ActiveEffects:[{Id:11,Duration:60,ShowParticles:0b}]}
#Normal
execute if entity @s[tag=theresistancecamp_Creeper] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.4},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,DeathLootTable:"empty",Fuse:13,ActiveEffects:[{Id:11,Duration:60,ShowParticles:0b}]}
#Hard
execute if entity @s[tag=theresistancecamp_Creeper] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.45},{Name:generic.attackDamage,Base:4},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:10}],Health:10f,DeathLootTable:"empty",Fuse:10,ActiveEffects:[{Id:11,Duration:60,ShowParticles:0b}]}






#MISC
#theresistancecamp_Gold
execute if entity @s[tag=theresistancecamp_Gold] run data merge entity @s {PickupDelay:0,Item:{tag:{display:{Name:"{\"translate\":\"§aGold\"}"}}}}

#theresistancecamp_DiamondCraftingTable1
execute if entity @s[tag=theresistancecamp_DiamondCraftingTable1] run data merge entity @s {CustomName:"{\"translate\":\"Requires 5 Lucky Block Essence\"}"}

#theresistancecamp_LuckyBlockEssence
execute if entity @s[tag=theresistancecamp_LuckyBlockEssence] run data merge entity @s {PickupDelay:0,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1524,display:{Name:"{\"translate\":\"§aLucky Block Essence\"}"},RepairCost:100,Unbreakable:1,AttributeModifiers:[],HideFlags:4}}}

#theresistancecamp_ContinueStory
execute if entity @s[tag=theresistancecamp_ContinueStory] run data merge entity @s {CustomName:"{\"translate\":\"Continue Story\",\"color\":\"green\"}"}





#SHOP
#theresistancecamp_Shop1Item1Name
execute if entity @s[tag=theresistancecamp_Shop1Item1Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§9Candy\"}",CustomNameVisible:1,Item:{id:"minecraft:leather_boots",Count:1b,Damage:0,tag:{ItemTexture:"candy"}},Tags:["CustomMob","theresistancecamp_Shop1Item1Name"]}

#theresistancecamp_Shop1Item2Name
execute if entity @s[tag=theresistancecamp_Shop1Item2Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§9Candy\"}",CustomNameVisible:1,Item:{id:"minecraft:leather_leggings",Count:1b,Damage:0,tag:{ItemTexture:"candy"}},Tags:["CustomMob","theresistancecamp_Shop1Item2Name"]}

#theresistancecamp_Shop1Item3Name
execute if entity @s[tag=theresistancecamp_Shop1Item3Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§9Candy\"}",CustomNameVisible:1,Item:{id:"minecraft:leather_chestplate",Count:1b,Damage:0,tag:{ItemTexture:"candy"}},Tags:["CustomMob","theresistancecamp_Shop1Item3Name"]}

#theresistancecamp_Shop1Item4Name
execute if entity @s[tag=theresistancecamp_Shop1Item4Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§9Candy\"}",CustomNameVisible:1,Item:{id:"minecraft:leather_helmet",Count:1b,Damage:0,tag:{ItemTexture:"candy"}},Tags:["CustomMob","theresistancecamp_Shop1Item4Name"]}

#theresistancecamp_Shop1Item5Name
execute if entity @s[tag=theresistancecamp_Shop1Item5Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§91000 Degree Knife\"}",CustomNameVisible:1,Item:{id:"minecraft:diamond_hoe",Count:1b,Damage:1504},Tags:["CustomMob","theresistancecamp_Shop1Item5Name"]}

#theresistancecamp_Shop1Item6Name
execute if entity @s[tag=theresistancecamp_Shop1Item6Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§e§lLegendary Lucky Block\"}",CustomNameVisible:1,Item:{id:"minecraft:diamond_hoe",Count:1b,Damage:1531},Tags:["CustomMob","theresistancecamp_Shop1Item6Name"]}

#theresistancecamp_Shop1Item7Name
execute if entity @s[tag=theresistancecamp_Shop1Item7Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§9Spookay Candy\"}",CustomNameVisible:1,Item:{id:"minecraft:cooked_chicken",Count:1b,Damage:0},Tags:["CustomMob","theresistancecamp_Shop1Item7Name"]}

#theresistancecamp_Shop1Item8Name
execute if entity @s[tag=theresistancecamp_Shop1Item8Name] run data merge entity @s {id:item,Age:-32768,PickupDelay:32767,Invulnerable:1,CustomName:"{\"translate\":\"§dGolden Apple\"}",CustomNameVisible:1,Item:{id:"minecraft:golden_apple",Count:1b,Damage:0},Tags:["CustomMob","theresistancecamp_Shop1Item8Name"]}

#theresistancecamp_Shop1Item1Price
execute if entity @s[tag=theresistancecamp_Shop1Item1Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"50 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item1Price"]}

#theresistancecamp_Shop1Item2Price
execute if entity @s[tag=theresistancecamp_Shop1Item2Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"85 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item2Price"]}

#theresistancecamp_Shop1Item3Price
execute if entity @s[tag=theresistancecamp_Shop1Item3Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"100 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item3Price"]}

#theresistancecamp_Shop1Item4Price
execute if entity @s[tag=theresistancecamp_Shop1Item4Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"60 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item4Price"]}

#theresistancecamp_Shop1Item5Price
execute if entity @s[tag=theresistancecamp_Shop1Item5Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"100 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item5Price"]}

#theresistancecamp_Shop1Item6Price
execute if entity @s[tag=theresistancecamp_Shop1Item6Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"100 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item6Price"]}

#theresistancecamp_Shop1Item7Price
execute if entity @s[tag=theresistancecamp_Shop1Item7Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"10 gold for 10\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item7Price"]}

#theresistancecamp_Shop1Item8Price
execute if entity @s[tag=theresistancecamp_Shop1Item8Price] run data merge entity @s {Duration:2000000000,CustomName:"{\"translate\":\"20 gold for 1\"}",CustomNameVisible:1,Tags:["CustomMob","theresistancecamp_Shop1Item8Price"]}














