#/function terra_worldsedge:encounters/skeleton_wizard/end
#Created by Mithey

#Run won/lost stuff
execute if score WonEncounter Temp matches 0 run function terra_worldsedge:encounters/skeleton_wizard/end_lost
execute if score WonEncounter Temp matches 1 run function terra_worldsedge:encounters/skeleton_wizard/end_won

#Kill entities
execute as @e[tag=worldsedge_SkeletonWizard] at @s run tp @s ~ ~-500 ~
kill @e[tag=worldsedge_SkeletonWizard]
execute as @e[tag=worldsedge_SkeletonWizardMagicBomb] at @s run tp @s ~ ~-500 ~
kill @e[tag=worldsedge_SkeletonWizardMagicBomb]
execute as @e[tag=worldsedge_SkeletonWizardDrowned] at @s run tp @s ~ ~-500 ~
kill @e[tag=worldsedge_SkeletonWizardDrowned]

#Hide boss bars
bossbar set minecraft:200 visible false
bossbar set minecraft:201 visible false
bossbar set minecraft:202 visible false

#Ensure death is processed
execute as @a[scores={Death=1..}] at @s run function terra_worldsedge:on_death

#Remove objectives
scoreboard objectives remove EncounterTime
scoreboard objectives remove EncounterDeath
scoreboard players set TerraRestore InEncounter 0
scoreboard players reset WonEncounter Temp
scoreboard players reset Encounter Clock
scoreboard players reset SkeletonWizardDrowned Clock
scoreboard objectives remove TridentInvul

#Open gates
fill 5137 72 5061 5137 102 5087 minecraft:air replace minecraft:barrier 
fill 5137 72 5087 5163 102 5087 minecraft:air replace minecraft:barrier
fill 5163 72 5087 5163 102 5061 minecraft:air replace minecraft:barrier
fill 5163 72 5061 5137 102 5061 minecraft:air replace minecraft:barrier

fill 5138 69 5062 5162 71 5086 minecraft:air replace minecraft:water

#Music
function terra_system:music/set_song/naglfar_ship_of_the_dead

#Turn off clock
setblock ~-1 ~ ~ minecraft:lapis_block
data merge block ~ ~ ~ {Command:"function terra_worldsedge:encounters/skeleton_wizard/attempt_start"}

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

summon minecraft:wolf 5150 69 5074 {CustomName:"{\"translate\":\"Sparky\"}",CustomNameVisible:1b,Rotation:[90f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Function","Dialogue","RightClickable","worldsedge_Sparky"],Sitting:1b}

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 5135 73 5074 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 5135 73 5074"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change








