#/function terra_eviljenext:entities/custom_mobs
#Created by Mithey

#NPCs
#eviljenext_Sparky
execute if entity @s[tag=eviljenext_Sparky] run data merge entity @s {CustomName:"{\"translate\":\"Sparky\"}"}

#eviljenext_Chuck
execute if entity @s[tag=eviljenext_Chuck] run data merge entity @s {CustomName:"{\"translate\":\"Chuck\"}"}

#eviljenext_Pat
execute if entity @s[tag=eviljenext_Pat] run data merge entity @s {CustomName:"{\"translate\":\"Pat\"}"}

#eviljenext_Jen
execute if entity @s[tag=eviljenext_Jen] run data merge entity @s {CustomName:"{\"translate\":\"Jen\"}"}

#eviljenext_Carter
execute if entity @s[tag=eviljenext_Carter] run data merge entity @s {CustomName:"{\"translate\":\"Carter\"}",ActiveEffects:[{Id:18,Duration:2000000000}]}



#ENEMIES
#eviljenext_Phantom
execute if entity @s[tag=eviljenext_Phantom] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.2},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,Size:5,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Phantom] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,Size:10,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Phantom] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.3},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:20}],Health:20f,Size:15,DeathLootTable:"gold"}

#eviljenext_Skeleton
execute if entity @s[tag=eviljenext_Skeleton] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:punch",lvl:1s}]}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40f,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Skeleton] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:punch",lvl:2s}]}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40f,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Skeleton] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:bow",Count:1b,tag:{Enchantments:[{id:"minecraft:punch",lvl:3s}]}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40f,DeathLootTable:"gold"}

#eviljenext_Zombie
execute if entity @s[tag=eviljenext_Zombie] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:iron_axe",Count:1b},{id:"minecraft:iron_axe",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:-2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:75}],Health:75,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Zombie] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:iron_axe",Count:1b},{id:"minecraft:iron_axe",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.315},{Name:generic.attackDamage,Base:0},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:100}],Health:100f,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Zombie] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{}],HandItems:[{id:"minecraft:iron_axe",Count:1b},{id:"minecraft:iron_axe",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.35},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:125}],Health:125f,DeathLootTable:"gold"}

#eviljenext_Creeper
execute if entity @s[tag=eviljenext_Creeper] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.325},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40f,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Creeper] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.375},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:50}],Health:50f,powered:1,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_Creeper] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.425},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:70}],Health:70f,powered:1,DeathLootTable:"gold"}

#eviljenext_ZombieCaptain
execute if entity @s[tag=eviljenext_ZombieCaptain] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Rotten Zombie\"}"},SkullOwner:{Id:"66b5f6a5-7667-4c3b-8c8d-2748f520c2a7",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMzZhYWU4NmRhMGNkMzE3YTQ3ZmE2NjY4ZmQ0Nzg1YjVhN2E3ZTRlZDllN2JjNjg2NTJiYWUyNzk4NGI4NGMifX19"}]}}}}],HandItems:[{id:"minecraft:iron_axe",Count:1b},{id:"minecraft:iron_axe",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:-2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:150}],Health:150,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_ZombieCaptain] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Rotten Zombie\"}"},SkullOwner:{Id:"66b5f6a5-7667-4c3b-8c8d-2748f520c2a7",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMzZhYWU4NmRhMGNkMzE3YTQ3ZmE2NjY4ZmQ0Nzg1YjVhN2E3ZTRlZDllN2JjNjg2NTJiYWUyNzk4NGI4NGMifX19"}]}}}}],HandItems:[{id:"minecraft:iron_axe",Count:1b},{id:"minecraft:iron_axe",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.315},{Name:generic.attackDamage,Base:0},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:200}],Health:200f,DeathLootTable:"gold"}
execute if entity @s[tag=eviljenext_ZombieCaptain] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Rotten Zombie\"}"},SkullOwner:{Id:"66b5f6a5-7667-4c3b-8c8d-2748f520c2a7",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMzZhYWU4NmRhMGNkMzE3YTQ3ZmE2NjY4ZmQ0Nzg1YjVhN2E3ZTRlZDllN2JjNjg2NTJiYWUyNzk4NGI4NGMifX19"}]}}}}],HandItems:[{id:"minecraft:iron_axe",Count:1b},{id:"minecraft:iron_axe",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.35},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:250}],Health:250f,DeathLootTable:"gold"}











#MISC
#spookaycave_Gold
execute if entity @s[tag=eviljenext_Gold] run data merge entity @s {PickupDelay:0,Item:{tag:{display:{Name:"{\"translate\":\"§aGold\"}"}}}}

#eviljenext_DiamondCraftingTable1
execute if entity @s[tag=eviljenext_DiamondCraftingTable1] run data merge entity @s {CustomName:"{\"translate\":\"Requires X Lucky Block Essence\"}"}

#eviljenext_LuckyBlockEssence
execute if entity @s[tag=eviljenext_LuckyBlockEssence] run data merge entity @s {PickupDelay:0,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1524,display:{Name:"{\"translate\":\"§aLucky Block Essence\"}"},RepairCost:100,Unbreakable:1,AttributeModifiers:[],HideFlags:4}}}



#SHOP
#eviljenext_Shop1Item1Name
execute if entity @s[tag=eviljenext_Shop1Item1Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§6§lLegendary\"}"}
#eviljenext_Shop1Item2Name
execute if entity @s[tag=eviljenext_Shop1Item2Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§9Spookay Candy\"}"}
#eviljenext_Shop1Item3Name
execute if entity @s[tag=eviljenext_Shop1Item3Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§dGolden Apple\"}"}

#eviljenext_Shop1Item1Price
execute if entity @s[tag=eviljenext_Shop1Item1Price] run data merge entity @s {CustomName:"{\"translate\":\"400 gold for 1\"}"}
#eviljenext_Shop1Item2Price
execute if entity @s[tag=eviljenext_Shop1Item2Price] run data merge entity @s {CustomName:"{\"translate\":\"10 gold for 10\"}"}
#eviljenext_Shop1Item3Price
execute if entity @s[tag=eviljenext_Shop1Item3Price] run data merge entity @s {CustomName:"{\"translate\":\"10 gold for 2\"}"}

















