#/function terra_system:on_join
#Created by Mithey

#Do first time set up if first time anyone joined
execute if block 111 4 -32 minecraft:red_wool run function terra_system:on_first_time_world_load

#First time joining stuff
execute as @s[tag=!JoinedBefore] at @s run function terra_system:on_first_time_join

#Make it so player can see boss bars whenever they get displayed
bossbar set minecraft:100 players @a
bossbar set minecraft:200 players @a
bossbar set minecraft:201 players @a
bossbar set minecraft:202 players @a
bossbar set minecraft:300 players @a

#Show fury bar for player
execute as @a at @s run function terra_system:fury/show_fury_bar

#Set gamemode
gamemode adventure @s
execute if score TerraRestore InCutscene matches 1 run gamemode spectator @s
execute if entity @s[name=Mithey] run gamemode creative @s

#Login message
function terra_system:lang/system_on_login

#Give advancement categories
#advancement grant @s only chunk_restore:side_quests/root
#advancement grant @s only chunk_restore:dungeons/root
#advancement grant @s only chunk_restore:main_quests/root
#advancement grant @s only chunk_restore:achievements/root
#advancement grant @s only chunk_restore:challenges/root
#advancement grant @s only chunk_restore:secrets/root
#advancement grant @s only chunk_restore:fishing/root

#Start music up again for player
scoreboard players set @s Music 9999

#If music enabled, display song name
execute if block 110 4 -32 minecraft:green_wool run function terra_system:music/display_music_name

#Remove area bound items if player is now in different area
execute unless entity @s[scores={SameArea=1}] run function terra_system:misc/clear_area_bound_items
scoreboard players set @s SameArea 1

#Teleport and set spawnpoint to current spawnpoint if newer spawnpoint set
execute unless entity @s[scores={SameSpawn=1}] run function terra_system:misc/move_player_to_current_spawn
scoreboard players set @s SameSpawn 1

#Sound effect for logging in
execute at @a run playsound minecraft:entity.player.levelup player @s ~ ~ ~ 2 0.5




