#/function terra_system:second_clock
#Created by Mithey

#Time
execute store result score TerraRestore Time run time query daytime
execute if score TerraRestore Time matches 1..20 as @a at @s run function terra_system:on_morning
execute if score TerraRestore Time matches 13000..13019 as @a at @s run function terra_system:on_night

#Arrows
scoreboard players add GiveArrow Clock 1
execute if score GiveArrow Clock matches 2.. run execute as @a[scores={Class=2}] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:tipped_arrow",Count:5b}]}] run scoreboard players set DontDisplayMessage Temp 1
execute if score GiveArrow Clock matches 2.. run execute as @a[scores={Class=2}] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:tipped_arrow",Count:5b}]}] run function terra_system:items/abilities/tipped_arrow
execute if score GiveArrow Clock matches 2.. run scoreboard players set GiveArrow Clock 0

#Jump boost
execute as @a[scores={Class=3}] at @s run effect give @s minecraft:jump_boost 10 1 true

#Music
execute if block 110 4 -32 minecraft:green_wool as @a at @s run function terra_system:music/music_clock

#RNG
scoreboard players add RNGSeed Number 1
execute if score RNGSeed Number matches 16383.. run scoreboard players operation RNGSeed Number %= RNGMaxNumber Number

#Natural mobs
scoreboard players add NaturalMobs Clock 1
execute if score NaturalMobs Clock matches 10.. run function terra_system:mobs/natural_mobs/adjust_amount

#Remove fury
scoreboard players add @a RemoveFury 1
execute as @a[scores={RemoveFury=10..}] run function terra_system:fury/on_being_passive

execute as @e[type=villager] at @s run data merge entity @s {Offers:{Recipes:[]}}