#/function terra_thelandbelow:cutscene/hill_start/1_events
#Created by Mithey

#Move all cameras
#2048 22 2091 0 15 ---> 2048 18 2114 0 0
execute if score Scene Clock matches 1..100 as @e[tag=SceneCamera] at @s run tp @s ~ ~-0.06 ~0.23 ~ ~-0.15
#2048 18 2114 0 0 ---> 2048 18 2114 0 15
execute if score Scene Clock matches 101..300 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075
#2048 18 2114 0 15 ---> 2048 18 2114 0 0
execute if score Scene Clock matches 301..500 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.075
#2048 18 2114 0 0 ---> 2048 18 2114 180 0
execute if score Scene Clock matches 601..650 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~3.6 ~
#2048 18 2114 180 0 ---> 2048 18 2114 180 15
execute if score Scene Clock matches 701..900 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075
#2048 18 2114 180 15 ---> 2048 18 2114 0 15
execute if score Scene Clock matches 951..1050 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~1.8 ~
#2048 18 2114 180 15 ---> 2048 33 2129 0 -45
execute if score Scene Clock matches 1051..1150 as @e[tag=SceneCamera] at @s run tp @s ~ ~0.15 ~0.15 ~ ~-0.6

#Move weapons to Pat/Jen
execute as @e[tag=thelandbelow_PatArmorStandWeapon] at @s run tp @s @e[tag=thelandbelow_Pat,limit=1,sort=nearest]
execute as @e[tag=thelandbelow_JenArmorStandWeapon] at @s run tp @s @e[tag=thelandbelow_Jen,limit=1,sort=nearest]

#Dialogue 1
execute if score Scene Clock matches 51..51 run function terra_thelandbelow:lang/cutscene_hill_start1
execute if score Scene Clock matches 51..51 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 51..51 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 2
#Pat pulls out swords
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandbelow_Pat] at @s run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,NoGravity:1,Marker:1,Rotation:[-35f,0f],Pose:{LeftArm:[315f,0f,0f],RightArm:[315f,0f,0f]},HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1538}},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1538}}],Tags:["thelandbelow_PatArmorStandWeapon"]}
execute if score Scene Clock matches 201..201 run function terra_thelandbelow:lang/cutscene_hill_start2
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Zombie moves toward Pat
execute if score Scene Clock matches 251..251 run summon minecraft:zombie 2041 15 2112 {Rotation:[-45f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:stone_sword",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],DeathLootTable:"empty",Tags:["CustomMob","Function","Enemy","HostileTeam","thelandbelow_CutsceneZombie","thelandbelow_CutsceneZombie1"]}
execute if score Scene Clock matches 251..350 run execute as @e[tag=thelandbelow_CutsceneZombie1] at @s run tp @s ~0.05 ~ ~0.05 -45 0

#Dialogue 3
#Jen pulls out swords and kills zombie
execute if score Scene Clock matches 351..351 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~-1 ~ ~-1 90 0
execute if score Scene Clock matches 351..351 run execute as @e[tag=thelandbelow_Jen] at @s run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,NoGravity:1,Marker:1,Rotation:[35f,0f],Pose:{LeftArm:[315f,0f,0f],RightArm:[315f,0f,0f]},HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1537}},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1537}}],Tags:["thelandbelow_JenArmorStandWeapon"]}
execute if score Scene Clock matches 351..351 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.player.attack.sweep player @a
execute if score Scene Clock matches 351..351 run execute as @e[tag=thelandbelow_Jen] at @s run particle minecraft:heart ~ ~0.5 ~ 0.5 0.5 0.5 0 10 force
execute if score Scene Clock matches 351..351 run kill @e[tag=thelandbelow_CutsceneZombie1]
execute if score Scene Clock matches 351..351 run function terra_thelandbelow:lang/cutscene_hill_start3
execute if score Scene Clock matches 351..351 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 351..351 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 4
#Pat/Jen faces incoming zombies
execute if score Scene Clock matches 501..501 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ 180 0
execute if score Scene Clock matches 501..501 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~ ~ 180 0
execute if score Scene Clock matches 501..501 run function terra_thelandbelow:cutscene/hill_start/1_summon_zombies1
execute if score Scene Clock matches 501..501 run function terra_thelandbelow:lang/cutscene_hill_start4
execute if score Scene Clock matches 501..501 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 501..501 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 5
#Zombies moving
execute if score Scene Clock matches 651..700 run execute as @e[tag=thelandbelow_CutsceneZombie2] at @s run tp @s ~ ~ ~0.05
execute if score Scene Clock matches 651..651 run function terra_thelandbelow:lang/cutscene_hill_start5
execute if score Scene Clock matches 651..651 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 651..651 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 6
#Jen killing more zombies
execute if score Scene Clock matches 751..850 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ^ ^ ^0.25 facing entity @e[tag=thelandbelow_CutsceneZombie2,limit=1,sort=nearest]
execute if score Scene Clock matches 751..850 run execute as @e[tag=thelandbelow_CutsceneZombie2] at @s run tp @s ^ ^ ^0.05 facing entity @e[tag=thelandbelow_Jen,limit=1,sort=nearest]
execute if score Scene Clock matches 751..850 run execute as @e[tag=thelandbelow_CutsceneZombie] at @s run tp @s ~ ~ ~ facing entity @e[tag=thelandbelow_Jen,limit=1,sort=nearest]
execute if score Scene Clock matches 751..850 run execute as @e[tag=thelandbelow_Jen] at @s run kill @e[tag=thelandbelow_CutsceneZombie2,limit=1,sort=nearest,distance=..1]
execute if score Scene Clock matches 751..751 run function terra_thelandbelow:lang/cutscene_hill_start6
execute if score Scene Clock matches 751..751 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 751..751 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 7
#Jen faces Pat
execute if score Scene Clock matches 851..851 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~ ~ 0 0
execute if score Scene Clock matches 851..851 run function terra_thelandbelow:cutscene/hill_start/1_summon_zombies2
execute if score Scene Clock matches 851..851 run function terra_thelandbelow:lang/cutscene_hill_start7
execute if score Scene Clock matches 851..851 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 851..851 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Dialogue 8
#Pat faces toward hill
execute if score Scene Clock matches 1001..1001 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ 0 -45
execute if score Scene Clock matches 1001..1100 run execute as @e[tag=thelandbelow_CutsceneZombie3] at @s run tp @s ~ ~ ~-0.05
execute if score Scene Clock matches 1001..1001 run function terra_thelandbelow:lang/cutscene_hill_start8
execute if score Scene Clock matches 1001..1001 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1001..1001 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10







