#/function terra_thelandbelow:cutscene/intro/3_events
#Created by Mithey

data merge entity @e[tag=thelandbelow_Jen,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:cleric",type:"minecraft:plains"}}
data merge entity @e[tag=thelandbelow_Pat,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"}}

#Move all cameras
#2046 28 2043 135 -70 ---> 2046 28 2043 135 0
execute if score Scene Clock matches 1..100 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.7
#2046 28 2043 135 0 ---> 2046 28 2043 135 15
execute if score Scene Clock matches 101..300 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075
#2046 28 2043 135 15 ---> 2046 28 2043 135 0
execute if score Scene Clock matches 301..500 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.075
#2046 28 2043 135 0 ---> 2046 28 2043 135 15
execute if score Scene Clock matches 501..700 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075
#2046 28 2043 135 15 ---> 2046 28 2043 135 0
execute if score Scene Clock matches 701..900 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.075
#2046 28 2043 135 0 ---> 2046 28 2043 135 15
execute if score Scene Clock matches 901..1100 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075

#Jen speaks
execute if score Scene Clock matches 61..61 run function terra_thelandbelow:lang/cutscene_intro11
execute if score Scene Clock matches 61..61 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 61..61 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Pat looks down
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ 90 0
execute if score Scene Clock matches 201..201 run function terra_thelandbelow:lang/cutscene_intro12
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 201..201 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Jen looks down/Pat falls
execute if score Scene Clock matches 401..401 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~ ~ 180 0
execute if score Scene Clock matches 401..401 run function terra_thelandbelow:lang/cutscene_intro13
execute if score Scene Clock matches 401..401 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 401..401 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10
execute if score Scene Clock matches 471..480 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~-0.2 ~0.2 ~ 90 -45
execute if score Scene Clock matches 501..501 run execute as @e[tag=thelandbelow_Pat] at @s run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,Marker:1,NoGravity:1,ArmorItems:[{},{},{},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1539}}],Tags:["thelandbelow_PatRedMark"]}
execute if score Scene Clock matches 501..501 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:block.note_block.harp hostile @a ~ ~ ~ 10 2
execute if score Scene Clock matches 521..521 run execute as @e[tag=thelandbelow_Pat] at @s run kill @e[tag=thelandbelow_PatRedMark]
execute if score Scene Clock matches 541..550 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~-0.5 ~ 90 45

#Jen catches Pat
execute if score Scene Clock matches 551..551 run execute as @e[tag=thelandbelow_Jen] at @s run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,NoGravity:1,Marker:1,Rotation:[180f,0f],HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1520}},{}],Pose:{RightArm:[0f,0f,0f]},Tags:["thelandbelow_JenArmorStandFishingRod"]}
execute if score Scene Clock matches 551..551 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.fishing_bobber.throw player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 551..551 run function terra_thelandbelow:lang/cutscene_intro14
execute if score Scene Clock matches 551..551 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 551..551 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Jen flings Pat back up
execute if score Scene Clock matches 651..651 run execute as @e[tag=thelandbelow_JenArmorStandFishingRod] at @s run data merge entity @s {HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1519}},{}]}
execute if score Scene Clock matches 651..651 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.fishing_bobber.retrieve player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 651..651 run function terra_thelandbelow:lang/cutscene_intro15
execute if score Scene Clock matches 651..651 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 651..651 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10
execute if score Scene Clock matches 651..660 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~0.2 ~0.3 ~ -60 -10

#Jen looks away
execute if score Scene Clock matches 801..801 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~ ~ -45 0
execute if score Scene Clock matches 801..801 run kill @e[tag=thelandbelow_JenArmorStandFishingRod]
execute if score Scene Clock matches 801..801 run function terra_thelandbelow:lang/cutscene_intro16
execute if score Scene Clock matches 801..801 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 801..801 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Pat looks away
execute if score Scene Clock matches 951..951 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ -45 0
execute if score Scene Clock matches 951..951 run function terra_thelandbelow:lang/cutscene_intro17
execute if score Scene Clock matches 951..951 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 951..951 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10






