#/function terra_thelandbelow:encounters/evil_cloud/end
#Created by Mithey

#Run won/lost stuff
execute if score WonEncounter Temp matches 0 run function terra_thelandbelow:encounters/evil_cloud/end_lost
execute if score WonEncounter Temp matches 1 run function terra_thelandbelow:encounters/evil_cloud/end_won

#Kill entities
execute as @e[tag=thelandbelow_EvilCloud] at @s run tp @s ~ ~-500 ~
kill @e[tag=thelandbelow_EvilCloud]
execute as @e[tag=thelandbelow_EvilCloudSkeleton] at @s run tp @s ~ ~-500 ~
kill @e[tag=thelandbelow_EvilCloudSkeleton]
execute as @e[tag=thelandbelow_FlameWall] at @s run tp @s ~ ~-500 ~
kill @e[tag=thelandbelow_FlameWall]
execute as @e[tag=thelandbelow_EvilCloudHusk] at @s run tp @s ~ ~-500 ~
kill @e[tag=thelandbelow_EvilCloudHusk]

#Hide boss bars
bossbar set minecraft:200 visible false
bossbar set minecraft:201 visible false
bossbar set minecraft:202 visible false

#Ensure death is processed
execute as @a[scores={Death=1..}] at @s run function terra_thelandbelow:on_death

#Remove objectives
scoreboard objectives remove EncounterTime
scoreboard objectives remove EncounterDeath
scoreboard players set TerraRestore InEncounter 0
scoreboard players reset WonEncounter Temp
scoreboard players reset Encounter Clock

#Open gates
#fill X1 Y1 Z1 X2 Y2 Z2 minecraft:air replace minecraft:iron_bars

#Music
function terra_system:music/set_song/into_the_unknown

#Turn off clock
setblock ~-1 ~ ~ minecraft:lapis_block
data merge block ~ ~ ~ {Command:"function terra_thelandbelow:encounters/evil_cloud/attempt_start"}

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 1987 64 2206 90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 1987 64 2206"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change








