#/function terra_worldsedge:encounters/skeleton_wizard/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 5140 70 5074 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 5140 72 5074"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=NaturalMob] at @s run tp @s ~ ~-500 ~
kill @e[tag=NaturalMob]

#Reset fury
execute as @a run function terra_system:fury/reset_fury

#Title
title @a times 20 60 60
function terra_worldsedge:lang/encounter_skeleton_wizard_title

#Objective boss bar
bossbar set minecraft:200 name "Boss Health"
bossbar set minecraft:200 color green
bossbar set minecraft:200 value 500
bossbar set minecraft:200 max 500
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/the_undead_horde

#Close gates
fill 5137 72 5061 5137 102 5087 minecraft:barrier replace minecraft:air 
fill 5137 72 5087 5163 102 5087 minecraft:barrier replace minecraft:air
fill 5163 72 5087 5163 102 5061 minecraft:barrier replace minecraft:air
fill 5163 72 5061 5137 102 5061 minecraft:barrier replace minecraft:air

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add BossHealth dummy
scoreboard players set TerraRestore BossHealth 500
scoreboard players set @a TridentUsed 0
scoreboard objectives add TridentInvul dummy
scoreboard players set @a TridentInvul 0

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

function terra_worldsedge:lang/sparky2



#Summon in entities
tp @e[tag=worldsedge_Sparky] ~ ~-500 ~
kill @e[tag=worldsedge_Sparky]

summon minecraft:skeleton 5157 69 5074 {CustomName:"{\"translate\":\"Skeleton Wizard\"}",CustomNameVisible:1b,Rotation:[90f,0f],Motion:[-1d,0.5d,0d],PersistenceRequired:1b,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Wither Skeleton King\"}"},SkullOwner:{Id:"94237405-9567-48ce-ae0d-30a744f47ddc",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjhjMDE2NWU5YjJkYmQ3OGRhYzkxMjc3ZTk3ZDlhMDI2NDhmMzA1OWUxMjZhNTk0MWE4NGQwNTQyOWNlIn19fQ=="}]}}}}],HandItems:[{id:"minecraft:stick",Count:1b},{id:"minecraft:blaze_powder",Count:1b}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:60},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.325},{Name:generic.attackDamage,Base:5},{Name:generic.armor,Base:28},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:500}],Health:500f,DeathLootTable:"empty",ActiveEffects:[{Id:11,Amplifier:0,Duration:2000000000,ShowParticles:0b}],Tags:["CustomMob","Boss","Enemy","HostileTeam","worldsedge_SkeletonWizard"]}

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_worldsedge:encounters/skeleton_wizard/clock"}





