#/function terra_worldsedge:entities/custom_mobs
#Created by Mithey

#NPCs
#worldsedge_Sparky
execute if entity @s[tag=worldsedge_Sparky] run data merge entity @s {CustomName:"{\"translate\":\"Sparky\"}"}

#worldsedge_Chuck
execute if entity @s[tag=worldsedge_Chuck] run data merge entity @s {CustomName:"{\"translate\":\"Chuck\"}",Tags:["CustomMob","Function","Dialogue","Ally","FriendlyTeam","worldsedge_Chuck"]}

#worldsedge_Pat
execute if entity @s[tag=worldsedge_Pat] run data merge entity @s {CustomName:"{\"translate\":\"Pat\"}"}

#worldsedge_Jen
execute if entity @s[tag=worldsedge_Jen] run data merge entity @s {CustomName:"{\"translate\":\"Jen\"}"}

#worldsedge_Carter
execute if entity @s[tag=worldsedge_Carter] run data merge entity @s {CustomName:"{\"translate\":\"Carter\"}",ActiveEffects:[{Id:18,Duration:2000000000}]}

#worldsedge_CaptainCookie
execute if entity @s[tag=worldsedge_CaptainCookie] run data merge entity @s {CustomName:"{\"translate\":\"Captain Cookie\"}"}



#ENEMIES
#worldsedge_Creeper
#Easy
execute if entity @s[tag=worldsedge_Creeper] if score TerraRestore Difficulty matches 1 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.325},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:25}],Health:25f,powered:0}
#Normal
execute if entity @s[tag=worldsedge_Creeper] if score TerraRestore Difficulty matches 2 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.325},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:35}],Health:35f,powered:1}
#Hard
execute if entity @s[tag=worldsedge_Creeper] if score TerraRestore Difficulty matches 3 run data merge entity @s {Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.35},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:45}],Health:45f,powered:1}

#worldsedge_Drowned
#Easy
execute if entity @s[tag=worldsedge_Drowned] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40f}
#Normal
execute if entity @s[tag=worldsedge_Drowned] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.3},{Name:generic.attackDamage,Base:4},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:50}],Health:50f}
#Hard
execute if entity @s[tag=worldsedge_Drowned] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.325},{Name:generic.attackDamage,Base:6},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:60}],Health:60f}

#worldsedge_Vindicator
#Easy
execute if entity @s[tag=worldsedge_Vindicator] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:trident",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:-1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:50}],Health:50f}
#Normal
execute if entity @s[tag=worldsedge_Vindicator] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:trident",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.3},{Name:generic.attackDamage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:80}],Health:80f}
#Hard
execute if entity @s[tag=worldsedge_Vindicator] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:trident",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.325},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:100}],Health:100f}

#worldsedge_Zombie
#Easy
execute if entity @s[tag=worldsedge_Zombie] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:trident",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:1s}]}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.25},{Name:generic.attackDamage,Base:-1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:30}],Health:30f,DeathLootTable:"terra_system:gold"}
#Normal
execute if entity @s[tag=worldsedge_Zombie] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:trident",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:2s}]}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.275},{Name:generic.attackDamage,Base:1},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40f,DeathLootTable:"terra_system:gold"}
#Hard
execute if entity @s[tag=worldsedge_Zombie] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:stone_button",Count:1b}],HandItems:[{id:"minecraft:trident",Count:1b,tag:{Enchantments:[{id:"minecraft:knockback",lvl:3s}]}},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:30},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.3},{Name:generic.attackDamage,Base:3},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:50}],Health:50f,DeathLootTable:"terra_system:gold"}

#worldsedge_Skeleton
#Easy
execute if entity @s[tag=worldsedge_Skeleton] if score TerraRestore Difficulty matches 1 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Diver Skeleton\"}"},SkullOwner:{Id:"66ba48c9-ffeb-43d5-b2f9-0db4115ffb1b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmY3ZGY1ODhmMjNlNDdjMWI4OWZlZTViY2IxYmM1Y2ViODdhMjI4Mjc2MjNlNzkyMzliYzg0YmViM2NiODRhIn19fQ=="}]}}}}],HandItems:[{id:"minecraft:bow",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.24},{Name:generic.attackDamage,Base:2},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:30}],Health:30}
#Normal
execute if entity @s[tag=worldsedge_Skeleton] if score TerraRestore Difficulty matches 2 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Diver Skeleton\"}"},SkullOwner:{Id:"66ba48c9-ffeb-43d5-b2f9-0db4115ffb1b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmY3ZGY1ODhmMjNlNDdjMWI4OWZlZTViY2IxYmM1Y2ViODdhMjI4Mjc2MjNlNzkyMzliYzg0YmViM2NiODRhIn19fQ=="}]}}}}],HandItems:[{id:"minecraft:bow",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.27},{Name:generic.attackDamage,Base:4},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:40}],Health:40}
#Hard
execute if entity @s[tag=worldsedge_Skeleton] if score TerraRestore Difficulty matches 3 run data merge entity @s {ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{display:{Name:"{\"text\":\"Diver Skeleton\"}"},SkullOwner:{Id:"66ba48c9-ffeb-43d5-b2f9-0db4115ffb1b",Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmY3ZGY1ODhmMjNlNDdjMWI4OWZlZTViY2IxYmM1Y2ViODdhMjI4Mjc2MjNlNzkyMzliYzg0YmViM2NiODRhIn19fQ=="}]}}}}],HandItems:[{id:"minecraft:bow",Count:1b},{}],ArmorDropChances:[-10f,-10f,-10f,-10f],HandDropChances:[-10f,-10f],Attributes:[{Name:generic.followRange,Base:20},{Name:generic.knockbackResistance,Base:0},{Name:generic.movementSpeed,Base:0.3},{Name:generic.attackDamage,Base:6},{Name:generic.armor,Base:0},{Name:generic.armorToughness,Base:0},{Name:generic.maxHealth,Base:50}],Health:50}



#MISC
#spookaycave_Gold
execute if entity @s[tag=worldsedge_Gold] run data merge entity @s {PickupDelay:0,Item:{tag:{display:{Name:"{\"translate\":\"§aGold\"}"}}}}

#worldsedge_DiamondCraftingTable1
execute if entity @s[tag=worldsedge_DiamondCraftingTable1] run data merge entity @s {CustomName:"{\"translate\":\"Requires 20 Lucky Block Essence\"}"}

#worldsedge_LuckyBlockEssence
execute if entity @s[tag=worldsedge_LuckyBlockEssence] run data merge entity @s {PickupDelay:0,Item:{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1524,display:{Name:"{\"translate\":\"§aLucky Block Essence\"}"},RepairCost:100,Unbreakable:1,AttributeModifiers:[],HideFlags:4}}}



#SHOP
#worldsedge_Shop1Item1Name
execute if entity @s[tag=worldsedge_Shop1Item1Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§dPirate\"}"}

#worldsedge_Shop1Item1Price
execute if entity @s[tag=worldsedge_Shop1Item1Price] run data merge entity @s {CustomName:"{\"translate\":\"130 gold for 1\"}"}

#worldsedge_Shop1Item2Name
execute if entity @s[tag=worldsedge_Shop1Item2Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§dPirate\"}"}

#worldsedge_Shop1Item2Price
execute if entity @s[tag=worldsedge_Shop1Item2Price] run data merge entity @s {CustomName:"{\"translate\":\"100 gold for 1\"}"}


#worldsedge_Shop1Item3Name
execute if entity @s[tag=worldsedge_Shop1Item3Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§9Spookay Candy\"}"}

#worldsedge_Shop1Item3Price
execute if entity @s[tag=worldsedge_Shop1Item3Price] run data merge entity @s {CustomName:"{\"translate\":\"10 gold for 10\"}"}


#worldsedge_Shop1Item4Name
execute if entity @s[tag=worldsedge_Shop1Item4Name] run data merge entity @s {Age:-32768,PickupDelay:32767,CustomName:"{\"translate\":\"§dGolden Apple\"}"}

#worldsedge_Shop1Item4Price
execute if entity @s[tag=worldsedge_Shop1Item4Price] run data merge entity @s {CustomName:"{\"translate\":\"20 gold for 1\"}"}


















